/* 
Postestimation in mi setting.
MI_Postestimation.do  ESH 20jan2010
from MI manual
*/

clear
version 11

//    Test that tax, sqft, age, nfeatures, ne, custom, and corner are in the regression
//    analysis of house resale prices

        . webuse mhouses1993s30
		. mi query
        . mi estimate: regress price tax sqft age nfeatures ne custom corner
        . mi test tax sqft age nfeatures ne custom corner

//   Test that a subset of coefficients, say, sqft and tax, are equal to zero
        . mi test tax sqft

//    Test the equality of coefficients for sqft and tax
        . mi estimate (diff: _b[tax]-_b[sqft]), saving(miest, replace): ///
            regress price tax sqft age nfeatures ne custom corner
        . mi testtransform diff

//    Test whether three coefficients are jointly equal
        . mi estimate (diff1: _b[tax]-_b[sqft]) (diff2: _b[custom]-_b[tax]) using miest
        . mi testtr diff1 diff2

//    Test nonlinear hypotheses
        . mi estimate (rdiff: _b[tax]/_b[sqft] - 1) using miest
        . mi testtr rdiff
		
exit
