* Analyze the complete data save the estimates for later comparison (N = 74)
* Mi_example1_ESH.do TBN ESH 20jan2010
* from Mi_exampl1_ESH.do ESH TN

version 11

* Analyze the original data use -regress-
use autogpm.dta, clear
regress gp100m weight displacement gear_ratio length foreign
estimates store complete

* Analyze the incomplete data set using complete cases only (N = 36)
use automiss.dta, clear
regress gp100m weight displacement gear_ratio length foreign
estimates store withmissing

* Display the missingness patterns
misstable patterns, frequency

   /* Weight and Displacement seem to have the most missing data */ 

* Tell Stata we will generate 20 imputations and which variables need to be imputed and which do not
mi set wide
mi register imputed weight length displacement
mi register regular price mpg headroom trunk turn gear_ratio foreign gp100m

	/* Stata has four MI data styles: We use Wide here. */
	/* Length weight and displacement need to be imputed and so are registered to be imputed */ 
	/* Regular variables have no missing values, but contribute information to the multiple imputations */
	
* Generate 20 imputations 
mi impute mvn weight length displacement = price headroom trunk turn gear_ratio gp100m, ///
add(20) replace rseed(3593) savewlf(wlf, replace)

* Run the analysis on the imputed data sets
mi estimate, post: regress gp100m weight displacement gear_ratio length foreign
estimates store mi

* Compare results from full data analysis, listwise, and MI analyses
estimates table complete withmissing mi, b(%9.6f) se(%9.6f)
estimates table complete withmissing mi, b(%9.6f) star

	/* Point estimates and significance levels from MI analysis are much closer to those
	   from the original full data analysis than are the values from the listwise analysis */

* How good were our imputations? 
use wlf, clear
tsset iter
tsline wlf, ytitle("Worst Linear Function") xtitle("Iteration Cycle") name("TSLine", replace)
ac wlf, title("Autocorrelation Plot: Worst Linear Function") ytitle(Autocorrelations) note("") name("AC", replace)

	/* The iteration cycle plot shows no sinusoidal or other obvious patterns */
	/* The autocorrelation plot shows rapid dampening of the autocorrelations and */
	/* most of the autcorrelations past the first few falling into the confidence band */ 

exit
